正文 主页 > 站长学院 > Cms教程 >

dedecms出现Please set 'request_order' ini value to includ

下载我资源网

最近升级本机php运行环境,从php5.2升级到php5.3,但是升级完成之后,原本的织梦dedecms无法登陆后台,出现Please set 'request_order' ini value to include C,G and P 的错误提示信息。
查找相关资料并予以测试之后问题终于得以解决。
现将出现这类问题的各类原因及解决方法归纳如下,方便大家参考借鉴:
问题一:升级后无法登陆后台 出现以下提示:
DedeCMS Error: (PHP 5.3 and above) Please set 'request_order' ini value to include C,G and P (recommended: 'CGP') in php.ini,more...
对于这个问题其实只需要修改一下PHP.INI 文件中的某个属性即可。
可以在phpinfo中查看对应的php.ini配置目录,找到下面选项:
 
代码如下:
request_order = "GP"
 
更改为
 
代码如下:
request_order = "CGP"
 
重启服务器后即可。
(注:如果你使用的是服务器或者VPS 可以自行修改 如果是虚拟主机请联系空间商)
问题二:评论功能以及 其它功能无法正常使用!
这个问题是因为补丁升级后 系统后台 默认禁止了在模板文件中执行 PHP  因此导致很多模板文件使用了PHP 执行的功能失效 解决方法同样简单
登陆网站后台 -系统--系统基本参数--其它选项
在模板引擎禁用标签: 写了个“PHP” 直接删除“取消禁止” 一切就恢复正常了!

-- 展开阅读全文 --